import React from 'react';
import { PropsWithMetadata } from '@highlight-ui/utils-commons';
export declare type LinkTileProps = React.ComponentPropsWithoutRef<'a'> & React.PropsWithChildren<PropsWithMetadata<{
    /** Allows providing a custom class name */
    className?: string;
    /** Specifies the URL of the page the link goes to */
    href: string;
    /** Specifies where to open the link */
    target?: string;
}>>;
declare const LinkTile: React.ForwardRefExoticComponent<Pick<React.DetailedHTMLProps<React.AnchorHTMLAttributes<HTMLAnchorElement>, HTMLAnchorElement>, "key" | keyof React.AnchorHTMLAttributes<HTMLAnchorElement>> & {
    /** Allows providing a custom class name */
    className?: string | undefined;
    /** Specifies the URL of the page the link goes to */
    href: string;
    /** Specifies where to open the link */
    target?: string | undefined;
} & {
    metadata?: import("@highlight-ui/utils-commons").ComponentMetadata | undefined;
} & {
    children?: React.ReactNode;
} & React.RefAttributes<HTMLAnchorElement>>;
export default LinkTile;
